﻿
@{
    ViewData["Title"] = "Upload";
}
@{ int i = 0;
    int j = 0;
    int fszám = ((List<Fájl>)ViewData["fileok"]).Count();
    string aktfile, utv;
} <div>
    <h2>Fájlok (@fszám darab)</h2>
    <form asp-action="Index" method="get">
        <div class="bg-light  p-3 border-dark border rounded">
            <div class="row">
                <div class=" col-2">
                    Szűrő
                </div>
                <div class="col-6">
                    <input type="text" name="szűrő" class="border-0" value="@ViewData["szűrő"]" />
                </div>
                <div class="col-2">

                    <input type="submit" value="Szűrj" class="btn btn-outline-info  form-control" />
                </div>
                <div class=" col-2">
                    <a asp-action="Index" class="btn btn-outline-info form-control">Teljes lista</a>
                </div>
            </div>
            </div>
    </form>
    <br />
    <div class="bg-light  p-3 border-dark border rounded">
        @{while (i <= fszám / 10)
            {

                <button class="dropdown-btn btn-outline-info">
                    ☰ @((i) * 10 + 1) - @((i + 1) * 10)
                    <i class="fa fa-caret-down"> </i>
                </button>
                <div class=" bg-light dropdown-container">
                    <hr />
                    <ul>
                        @{j = 0; }
                        @while (i * 10 + j < fszám && j < 10)
                        {

                            aktfile = ((List<Fájl>
                                )ViewData["fileok"])[i * 10 + j].filenév;
                            utv = "kepek/" + aktfile;

                            <li class="row" style="border:none">
                                <div class="col-md-1">
                                    @(i * 10 + j + 1).
                                </div>
                                <div class="col-md-2" style="border:none">
                                    <a href="@utv" style="border:none" id="@aktfile" data-toggle="modal" data-target="#modalablak"
                                       onclick="modalbe(this.id)">

                                        <img src="@utv" class="picikep" style="width:100px; max-height:60px ;border:none" />
                                    </a>
                                </div>
                                <div class="offset-1 col-md-4">
                                    @aktfile
                                </div>

                                <div class="offset-1 col-md-2">
                                    <a asp-action="Töröl" asp-route-törlendő="@aktfile" class="btn btn-info form-control" style="float:right">Törlés</a>
                                </div>
                            </li>

                            j++;
                        }
                    </ul>
                </div>

                i++;
            }

        }
    </div>
</div>
<hr />
<div class="p-3 ">
    <form asp-controller="Filekezeles" asp-action="UploadFile" method="post" enctype="multipart/form-data">
        <div class="row row-no-gutters">
            <div class="col-md-9 btn btn-outline-info">
                <input type="file" name="file" class="float-left " />
            </div>
            <div class="col-md-3" style="border:none !important">
                <button type="submit" class="form-control btn btn-info">Feltöltés</button>
            </div>
        </div>
    </form>
</div>
<div id="modalablak" class="modal fade " role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="aktfnev">File</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <img id="aktkep" src="~/kepek/nincs.jpg" style="max-width:100%;max-height:100%" />
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Bezár</button>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">

    function modalbe(fnev) {

        $("#aktfnev").text(fnev);
        $("#aktkep").attr("src", "/kepek/" + fnev);
    }
    var dropdown = document.getElementsByClassName("dropdown-btn");
    var i;

    for (i = 0; i < dropdown.length; i++) {
        dropdown[i].addEventListener("click", function () {
            this.classList.toggle("active");
            var dropdownContent = this.nextElementSibling;
            if (dropdownContent.style.display === "block") {
                dropdownContent.style.display = "none";
            } else {
                dropdownContent.style.display = "block";
            }
        });
    }
</script>
